# FModifierNoise(FModifier)

base classes — `bpy_struct`, `FModifier`

class `bpy.types.``FModifierNoise`(FModifier)

  Give randomness to the modified F-Curve

  `blend_type`

    Method of modifying the existing F-Curve

    Type: | enum in [‘REPLACE’, ‘ADD’, ‘SUBTRACT’, ‘MULTIPLY’], default ‘REPLACE’

  `depth`

    Amount of fine level detail present in the noise

    Type: | int in [0, 32767], default 0

  `offset`

    Time offset for the noise effect

    Type: | float in [-inf, inf], default 0.0

  `phase`

    A random seed for the noise effect

    Type: | float in [-inf, inf], default 0.0

  `scale`

    Scaling (in time) of the noise

    Type: | float in [-inf, inf], default 0.0

  `strength`

    Amplitude of the noise - the amount that it modifies the underlying curve

    Type: | float in [-inf, inf], default 0.0

Inherited Properties

`bpy_struct.id_data` `FModifier.type` `FModifier.show_expanded` `FModifier.mute` `FModifier.is_valid` `FModifier.active` `FModifier.use_restricted_range` | `FModifier.frame_start` `FModifier.frame_end` `FModifier.blend_in` `FModifier.blend_out` `FModifier.use_influence` `FModifier.influence`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`